JUCE: XmlElement::TextFormat Struct Reference

JUCE

Public Member Functions | Public Attributes | List of all members
XmlElement::TextFormat Struct Reference
juce_core » xml

A struct containing options for formatting the text when representing an XML element as a string. More...

`#include <juce_XmlElement.h>`

## Public Member Functions
| TextFormat ()
| Default constructor. More...
JUCE_NODISCARD TextFormat | singleLine () const
| returns a copy of this format with newLineChars set to nullptr. More...
JUCE_NODISCARD TextFormat | withoutHeader () const
| returns a copy of this format with the addDefaultHeader flag set to false. More...

## Public Attributes
String | dtd
| If supplied, this DTD will be added to the document. More...
String | customHeader
| If supplied, this header will be used (and customEncoding & addDefaultHeader will be ignored). More...
String | customEncoding
| If not empty and addDefaultHeader is true, this will be set as the encoding. More...
bool | addDefaultHeader = true
| If true, a default header will be generated; otherwise just bare XML will be emitted. More...
int | lineWrapLength = 60
| A maximum line length before wrapping is done. More...
const char * | newLineChars = "\r\n"
| Allows the newline characters to be set. More...

## Detailed Description

A struct containing options for formatting the text when representing an XML element as a string.

## Constructor & Destructor Documentation

## ◆ TextFormat()

XmlElement::TextFormat::TextFormat | ( |  | ) |

Default constructor.

## Member Function Documentation

## ◆ singleLine()

JUCE_NODISCARD TextFormat XmlElement::TextFormat::singleLine | ( |  | ) | const

returns a copy of this format with newLineChars set to nullptr.

## ◆ withoutHeader()

JUCE_NODISCARD TextFormat XmlElement::TextFormat::withoutHeader | ( |  | ) | const

returns a copy of this format with the addDefaultHeader flag set to false.

## Member Data Documentation

## ◆ dtd

String XmlElement::TextFormat::dtd

If supplied, this DTD will be added to the document.

## ◆ customHeader

String XmlElement::TextFormat::customHeader

If supplied, this header will be used (and customEncoding & addDefaultHeader will be ignored).

## ◆ customEncoding

String XmlElement::TextFormat::customEncoding

If not empty and addDefaultHeader is true, this will be set as the encoding.

Otherwise, a default of "UTF-8" will be used

## ◆ addDefaultHeader

bool XmlElement::TextFormat::addDefaultHeader = true

If true, a default header will be generated; otherwise just bare XML will be emitted.

## ◆ lineWrapLength

int XmlElement::TextFormat::lineWrapLength = 60

A maximum line length before wrapping is done.

(If newLineChars is nullptr, this is ignored)

## ◆ newLineChars

const char* XmlElement::TextFormat::newLineChars = "\r\n"

Allows the newline characters to be set.

If you set this to nullptr, then the whole XML document will be placed on a single line.

The documentation for this struct was generated from the following file:

- juce_XmlElement.h